driveItems.setPublication
Publish or unpublish a document to the web.
PUT /api/v1/drive-items/{itemId}/publication
- SDK:
tb.driveItems.setPublication(input) - CLI:
thinkbench drive-items set-publication - MCP tool:
drive_items_set_publication
Input
| Field | Type | In | Description |
|---|---|---|---|
itemId |
string |
path | |
published |
boolean |
body |
Output
Returns an empty response on success.
Examples
curl
curl -X PUT "https://app.thinkbench.com/api/v1/drive-items/<itemId>/publication" \
-H "x-api-key: $THINKBENCH_API_KEY" \
-H "content-type: application/json" \
-d '{"published":true}'TypeScript SDK
await tb.driveItems.setPublication({ itemId: "<itemId>", published: true });CLI
thinkbench drive-items set-publication --item-id "<itemId>" --published trueMCP
{
"name": "drive_items_set_publication",
"arguments": {
"itemId": "<itemId>",
"published": true
}
}